//
//  AppDelegate.h
//  irMagicianStatusBarApp
//
//  Created by ooo on 2014/04/01.
//  Copyright (c) 2014年 ooo. All rights reserved.
//

#import <Cocoa/Cocoa.h>


#import "ORSSerialPort.h"
#import "ORSSerialPortManager.h"

@interface AppDelegate : NSObject <NSApplicationDelegate, ORSSerialPortDelegate, NSUserNotificationCenterDelegate>{
    NSInteger statusIrMagician;
    NSInteger irRecNumber;
    NSMutableString *twoDigitStr;
    NSMutableArray *irDataArray;
    
    NSInteger irElementCounter;
    NSMutableString *irElementStr;
    
    NSWindow *receiveDlgWindow;
    NSTextField *receiveDlgWindowValue;
    NSProgressIndicator *receiveDlgWindowProgressIndicator;
    
    NSWindow *prefWindow;
    
}

- (IBAction)Play:(id)sender;
- (IBAction)Cap:(id)sender;
- (IBAction)ReadIrMagician:(id)sender;
- (IBAction)saveIrData:(id)sender;

- (IBAction)homeTvPowerToggle:(id)sender;
- (IBAction)homeTvMute:(id)sender;
- (IBAction)homeTvChUp:(id)sender;
- (IBAction)homeTvChDown:(id)sender;

- (IBAction)homeTvCh1:(id)sender;
- (IBAction)homeTvCh2:(id)sender;
- (IBAction)homeTvCh3:(id)sender;
- (IBAction)homeTvCh4:(id)sender;
- (IBAction)homeTvCh5:(id)sender;
- (IBAction)homeTvCh6:(id)sender;
- (IBAction)homeTvCh7:(id)sender;
- (IBAction)homeTvCh8:(id)sender;
- (IBAction)homeTvCh9:(id)sender;
- (IBAction)homeTvCh10:(id)sender;
- (IBAction)homeTvCh11:(id)sender;
- (IBAction)homeTvCh12:(id)sender;


- (IBAction)homeLightOn:(id)sender;
- (IBAction)homeLightOff:(id)sender;
- (IBAction)homeLightUp:(id)sender;
- (IBAction)homeLightDown:(id)sender;

- (IBAction)homeAirconOn:(id)sender;
- (IBAction)homeAirconOff:(id)sender;



- (IBAction)officeLightOn:(id)sender;
- (IBAction)officeLightOff:(id)sender;
- (IBAction)officeAirconOn:(id)sender;
- (IBAction)officeAirconOff:(id)sender;

- (IBAction)testOnline:(id)sender;

- (IBAction)preferenceTest:(id)sender;



- (void) sendIrData:(NSString*)aIrURL;

- (void) irMagician_B_command:(NSInteger)aBank;
- (void) irMagician_D_command:(NSInteger)aPos;




@property (nonatomic, strong) ORSSerialPort *serialPort;

@end

